module dec5to32TB;

//Port modes
reg [0:4] In;
reg En; 
wire [0:31] Out;
integer k;

//Instantiate DUT

dec5to32 U1(
.In(In), .En(En), 
.Out(Out)
);

//Create an Input Stimulus

initial

begin
	$monitor($time, "In=%b Out=%b", 
		In, Out);
	$shm_open("decwaves.shm");
	$shm_probe("AC");

	In = 00000;
	En = 0;	
	for (k=0; k<=31; k=k+1)
	#5 In=k;
	#5

	In = 00000;
	En = 1;	
	for (k=0; k<=31; k=k+1)
	#5 In=k;
	#5

	$finish;
end

endmodule
